Name:           python-ptlibs
Version:        1.0.17
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Support library for penterepTools

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://www.penterep.com/
Source:         %{pypi_source ptlibs}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'ptlibs' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-ptlibs
Summary:        %{summary}

%description -n python3-ptlibs %_description


%prep
%autosetup -p1 -n ptlibs-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-ptlibs -f %{pyproject_files}


%changelog
%autochangelog